diff a/hat/backends/pom.xml b/hat/backends/pom.xml
--- /dev/null
+++ b/hat/backends/pom.xml
@@ -0,0 +1,122 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+Copyright (c) 2024, Oracle and/or its affiliates. All rights reserved.
+DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
+
+This code is free software; you can redistribute it and/or modify it
+under the terms of the GNU General Public License version 2 only, as
+published by the Free Software Foundation.  Oracle designates this
+particular file as subject to the "Classpath" exception as provided
+by Oracle in the LICENSE file that accompanied this code.
+
+This code is distributed in the hope that it will be useful, but WITHOUT
+ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
+version 2 for more details (a copy is included in the LICENSE file that
+accompanied this code).
+
+You should have received a copy of the GNU General Public License version
+2 along with this work; if not, write to the Free Software Foundation,
+Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
+
+Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
+or visit www.oracle.com if you need additional information or have any
+questions.
+-->
+
+
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+   <modelVersion>4.0.0</modelVersion>
+   <groupId>oracle.code</groupId>
+   <version>1.0</version>
+   <artifactId>hat.backends</artifactId>
+   <packaging>pom</packaging>
+    <!-- this required to inherit parent properties -->
+    <parent>
+        <groupId>oracle.code</groupId>
+        <version>1.0</version>
+        <artifactId>hat.root</artifactId>
+    </parent>
+
+   <modules>
+     <module>opencl</module>
+     <module>cuda</module>
+     <module>mock</module>
+     <module>ptx</module>
+     <!--<module>spirv</module>-->
+   </modules>
+   <build>
+     <plugins>
+        <plugin>
+           <groupId>org.codehaus.mojo</groupId>
+           <artifactId>exec-maven-plugin</artifactId>
+           <version>3.1.0</version>
+            <executions>
+              <execution>
+                <id>cmake_compile</id>
+                <phase>compile</phase>
+                <goals>
+                   <goal>exec</goal>
+                </goals>
+                <configuration>
+                   <executable>cmake</executable>
+                   <arguments>
+                      <argument>-DHAT_TARGET=${hat.target}</argument>
+                      <argument>-B</argument>
+                      <argument>cmake-build-debug</argument>
+                   </arguments>
+                </configuration>
+             </execution>
+              <execution>
+                <id>cmake_install_build</id>
+                <phase>install</phase>
+                <goals>
+                   <goal>exec</goal>
+                </goals>
+                <configuration>
+                   <executable>cmake</executable>
+                   <arguments>
+                      <argument>--build</argument>
+                      <argument>cmake-build-debug</argument>
+                   </arguments>
+                </configuration>
+             </execution>
+              <execution>
+                <id>cmake_install_copy_libs</id>
+                <phase>install</phase>
+                <goals>
+                   <goal>exec</goal>
+                </goals>
+                <configuration>
+                   <executable>cmake</executable>
+                   <arguments>
+                      <argument>--build</argument>
+                      <argument>cmake-build-debug</argument>
+                      <argument>--target</argument>
+                      <argument>copy_libs</argument>
+                   </arguments>
+                </configuration>
+             </execution>
+
+             <execution>
+                <id>cmake_clean</id>
+                <phase>clean</phase>
+                <goals>
+                   <goal>exec</goal>
+                </goals>
+                <configuration>
+                   <executable>rm </executable>
+                   <arguments>
+                      <argument>-rf</argument>
+                      <argument>cmake-build-debug</argument>
+                   </arguments>
+                </configuration>
+             </execution>
+
+           </executions>
+        </plugin>
+     </plugins>
+   </build>
+
+</project>
